Update hacking for Python3

The repo is Python 3 now, so update hacking to version 3.0 which
supports Python 3.

Fix problems found.

Change-Id: Ib7870977e5aa66d1eb2e41d698ed058ebb65b4c1
changes/13/715613/3
Andreas Jaeger 3 years ago committed by Andreas Jaeger
parent 858fc6bf84
commit 097a3790a8

@ -142,7 +142,7 @@ def stress_openstack(tests, duration, max_runs=None, stop_on_error=False):
if test.get('use_admin', False):
manager = admin_manager
else:
raise NotImplemented('Non admin tests are not supported')
raise NotImplementedError('Non admin tests are not supported')
for p_number in range(test.get('threads', default_thread_num)):
if test.get('use_isolated_tenants', False):
username = data_utils.rand_name("stress_user")

@ -2,7 +2,7 @@
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
hacking<0.12,>=0.11.0 # Apache-2.0
hacking>=3.0,<3.1.0 # Apache-2.0
coverage>=3.6 # Apache-2.0
stestr>=1.0.0 # Apache-2.0

@ -49,6 +49,6 @@ commands = oslo_debug_helper {posargs}
# E123, E125 skipped as they are invalid PEP-8.
show-source = True
ignore = E123,E125
ignore = E123,E125,W503,W504
builtins = _
exclude=.venv,.git,.tox,dist,doc,*lib/python*,*egg,build

Loading…
Cancel
Save